import { getCookie, setCookie } from '../utils/cookies.js'
import { defineStore } from 'pinia'

export const useSettings = defineStore('settings', {
	state: () => {
		try {
			const filters = JSON.parse(getCookie('repod.filters'))
			return {
				filters: {
					listened: filters.listened,
					listening: filters.listening,
					unlistened: filters.unlistened,
				},
			}
		} catch {
			return {
				filters: {
					listened: true,
					listening: true,
					unlistened: true,
				},
			}
		}
	},
	actions: {
		setFilters(filters) {
			this.filters = { ...this.filters, ...filters }
			setCookie('repod.filters', JSON.stringify(this.filters), 365)
		},
	},
})
