import { createAppConfig } from '@nextcloud/vite-config'
import { defineConfig } from 'vite'
import vueDevTools from 'vite-plugin-vue-devtools'

const config = defineConfig(({ mode }) => ({
	build: {
		rollupOptions: {
			output: {
				entryFileNames: 'js/[name].js',
				format: 'iife',
				manualChunks: false,
			},
		},
		sourcemap: mode !== 'production',
	},
	define: {
		__VUE_PROD_DEVTOOLS__: mode !== 'production',
	},
	plugins: [vueDevTools()],
}))

export default createAppConfig(
	{
		main: 'src/main.js',
	},
	{ config },
)
